API reference
Re-check alerts now
alerts_refresh — Run the workspace's time-based alert checks now (VPS offline, proxy down, account stuck…), then read them with alerts_list.
alerts_refresh · Reads saved data
Run the workspace's time-based alert checks now (VPS offline, proxy down, account stuck…), then read them with alerts_list.
| REST | POST /api/public/v1/alerts/refresh |
| MCP tool | alerts_refresh |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | infra:read |
| Group | VPS, proxies and alerts |
| Shown up front in profiles | Infrastructure |
Input
No input.
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/alerts/refresh" \
-H "Authorization: Bearer $XBUDDY_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
Call over MCP
{
"method": "tools/call",
"params": {
"name": "alerts_refresh",
"arguments": {}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |